OtherRevVals (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.esf

## Class OtherRevVals

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.OtherRevVals

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OtherRevVals
      extends ASN1Object

       OtherRevVals ::= SEQUENCE {
          otherRevValType OtherRevValType,
          otherRevVals ANY DEFINED BY OtherRevValType
       }

       OtherRevValType ::= OBJECT IDENTIFIER

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherRevVals(ASN1ObjectIdentifier otherRevValType, ASN1Encodable otherRevVals)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OtherRevVals` | `getInstance(java.lang.Object obj)`
    `ASN1Encodable` | `getOtherRevVals()`
    `ASN1ObjectIdentifier` | `getOtherRevValType()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherRevVals

          public OtherRevVals(ASN1ObjectIdentifier otherRevValType,
                      ASN1Encodable otherRevVals)

  - ### Method Detail

    - #### getInstance

          public static OtherRevVals getInstance(java.lang.Object obj)

    - #### getOtherRevValType

          public ASN1ObjectIdentifier getOtherRevValType()

    - #### getOtherRevVals

          public ASN1Encodable getOtherRevVals()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.